Bulk delete memories
curl --request POST \
--url https://www.memoryplugin.com/api/memories/bulk-delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memoryIds": [
"<string>"
]
}
'import requests
url = "https://www.memoryplugin.com/api/memories/bulk-delete"
payload = { "memoryIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({memoryIds: ['<string>']})
};
fetch('https://www.memoryplugin.com/api/memories/bulk-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"deletedCount": 123,
"errors": [
{
"memoryId": "<string>",
"error": "<string>"
}
]
}{
"error": "<string>",
"text": "<string>",
"score": 123
}{
"error": "<string>",
"text": "<string>",
"score": 123
}Memory Endpoints
Bulk Delete Memories
Delete multiple memories in a single request.
POST
/
api
/
memories
/
bulk-delete
Bulk delete memories
Overview
Delete multiple memories in a single request. More efficient than calling the single-delete endpoint repeatedly.Example
curl -X POST https://www.memoryplugin.com/api/memories/bulk-delete \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"memoryIds": ["mem-id-1", "mem-id-2", "mem-id-3"]
}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Array of memory IDs to delete.
Response
Memories deleted
Always "Memories deleted".
Number of memory rows deleted from the database. Unresolvable IDs are skipped, so this can be lower than the number of memoryIds submitted.
Per-failure details; empty on full success. A partial failure still returns 200.
Show child attributes
Show child attributes
Was this page helpful?